Update a cardholder

Update a cardholder profile.

Required permissions: cardholder:update.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

cardholder_idstringRequired

Query parameters

reveal_sensitivebooleanOptionalDefaults to false
Whether to include unmasked sensitive fields in the response. Defaults to false.

Request

This endpoint expects an object.
given_namestring or nullOptional
Replacement given name for individual cardholders.
family_namestring or nullOptional
Replacement family name for individual cardholders.
business_namestring or nullOptional
Replacement business name for corporate cardholders.
emailstring or nullOptionalformat: "email"
Replacement email address.
phone_numberstring or nullOptional
Replacement phone number in E.164 format.
addressobject or nullOptional
Replacement postal address.

Response

The updated cardholder.
IndividualCardholderobject

An individual cardholder, as shown to clients through the client-facing API.

OR
CorporateCardholderobject

A corporate cardholder, as shown to clients through the client-facing API.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error